import '../../stencil.core';
export declare class TableExportButton {
    author?: string;
    filename: string;
    format: 'csv' | 'pdf';
    pageOrientation?: 'landscape' | 'portrait';
    pageSubtitle?: string;
    pageTitle?: string;
    tableId?: string;
    exportCtrl: HTMLGlTableExportControllerElement;
    clickHandler(): Promise<void>;
    render(): JSX.Element;
}
